//////////////////////////Read String EEPROM//////////////////////////
String read_string(int l, int p) {
  String temp;
  for (int n = p; n < l + p; ++n)
  {
    if (char(EEPROM.read(n)) != ';') {
      if (isWhitespace(char(EEPROM.read(n)))) {
        //do nothing
      } else temp += String(char(EEPROM.read(n)));

    } else n = l + p;

  }
  return temp;
}

void write_EEPROM(String x, int pos) {
  for (int n = pos; n < x.length() + pos; n++) {
    EEPROM.write(n, x[n - pos]);
  }
}

void defaultEEPROM() {       // Check for default donfig
  if (read_string(1, 0) != "0") {
    write_EEPROM("0", 0); //Save default config on first start
    write_EEPROM("252", 1); //Dimming
    write_EEPROM("005", 5);  //Timing
    delay(1000);
    resetFunc();
  }
}
